<app-page-data-list
  pageTitle="مدیریت دستگاه‌ها"
  [addNewCtaLabel]="'افزودن دستگاه'"
  [columns]="columns"
  [showAdd]="true"
  emptyPlaceholderTitle="دستگاه یافت نشد"
  emptyPlaceholderDescription="برای افزودن دستگاه، روی دکمهٔ بالا کلیک کنید."
  [items]="items()"
  [loading]="loading()"
  [showAdd]="true"
  [showEdit]="true"
  (onAdd)="openAddForm()"
  (onEdit)="onEditClick($event)"
  (onRefresh)="refresh()"
/>
<superAdmin-device-form
  [(visible)]="visibleForm"
  [editMode]="editMode()"
  [deviceId]="selectedItemForEdit()?.id"
  [initialValues]="selectedItemForEdit() || undefined"
  (onSubmit)="refresh()"
/>
